| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Gr3d.VtkPlotter.Accessor Class Reference

Class that is used to access the VtkPlotter's window in classes that are not derived from that class. Access can be granted by either inheriting from this class or by uding this class as proxy class. More...

Collaboration diagram for IG.Gr3d.VtkPlotter.Accessor:
[legend]

## Public Member Functions
| Accessor (VtkPlotter plotter)

## Properties
VtkPlotter | Plotter`[get, private set]`
vtkRenderWindow | Window`[get, set]`
| VTK window used for rendering 3D graphics. More...
vtkRenderer | Renderer`[get, set]`
| VTK renderer used by the current plotter for rendering 3D graphics. More...

## Private Member Functions
| Accessor ()

## Private Attributes
VtkPlotter | _plotter

## Detailed Description

Class that is used to access the VtkPlotter's window in classes that are not derived from that class. Access can be granted by either inheriting from this class or by uding this class as proxy class.

This class is immutable in the sense that plotter can be set only when constructed.

Warning: One should avoid accessing the plotter's window where this is not absolutely necessary.

## Constructor & Destructor Documentation

IG.Gr3d.VtkPlotter.Accessor.Accessor | ( |  | ) |
| inline private

IG.Gr3d.VtkPlotter.Accessor.Accessor | ( | VtkPlotter | plotter | ) |
| inline

## Member Data Documentation

VtkPlotter IG.Gr3d.VtkPlotter.Accessor._plotter
| private

## Property Documentation

VtkPlotter IG.Gr3d.VtkPlotter.Accessor.Plotter
| get private set

vtkRenderWindow IG.Gr3d.VtkPlotter.Accessor.Window
| get set

VTK window used for rendering 3D graphics.

Warning: settes should only be used in constructors.

vtkRenderer IG.Gr3d.VtkPlotter.Accessor.Renderer
| get set

VTK renderer used by the current plotter for rendering 3D graphics.

Warning: setters should only be used in constructors.

Referenced by IG.Gr3d.VtkDecorationHandler.AddActorsToPlotter().

The documentation for this class was generated from the following file:

- extensions/igplot3d/plot3d/vtkbased/VtkPlotter.cs